task MD5 {

  Array[File] INPUT
  String docker
  String cluster_config
  String disk_size

  command <<<
    set -o pipefail
    set -e

    for i in ${sep=" " INPUT}
    do
      echo $i
      md5sum $i > $(basename $i).md5
    done

    cat `ls | grep .md5$` > OUTPUT.md5
  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }

  output {
    File MD5 = "OUTPUT.md5"
  }
}